#395 more tv_grab_huro problems

none
closed-fixed
5
2014-04-10
2010-01-25
No

It is strange, if I use the perl v1.38 of tv_grab_huro I do not get the shows after 8pm. However if I use the latest alpha exe then I do get them but the shows are offset. Fro example if the website lists this:

19:30 Híradó este
19:50 Sporthírek
19:55 Időjárás-jelentés
20:00 Kékfény

I get:

19:30 A palota ékköve
19:50 Híradó este
19:55 Sporthírek
20:00 Idõjárás-jelentés
21:00 Kékfény

Any ideas

Discussion

  • Attila Nagy

    Attila Nagy - 2010-01-25

    Current stable release is known for the "show -don't-get-loaded-after-8pm" bug. So if you're able, then try the cvs version.

    Alpha-exe produces some weird errors, like the offset you're mentioned. It's somehow related with the windows port. I'll try to look after it in my spare time.

     
  • Christian Vandendorpe

    Which version from CVS do you mean? I have tried:

    http://xmltv.cvs.sourceforge.net/viewvc/\*checkout*/xmltv/xmltv/grab/huro/tv_grab_huro.in?revision=1.38

    but that one does not get the night version.

    Best regards

     
  • Attila Nagy

    Attila Nagy - 2010-01-26

    1.38 should have the fix for the afternoon bug (it works fine with me). Are you grabbing the hungarian shows? Did you do everything right at the compiling?

    The fix for that bug was to change this line (412):
    elsif ($_->look_down("_tag"=>"img", "src" => "/cc/line.gif")) {
    to this:
    elsif ($_->look_down("_tag"=>"img", "src" => qr/\/line.gif$/)) {

    You could check with the script you're trying to run.

     
  • Geoff

    Geoff - 2014-04-10
    • status: open --> closed-fixed
    • Group: --> none
     
  • Geoff

    Geoff - 2014-04-10

    Was fixed in grabber version 1.38

     

Log in to post a comment.